# $Revision: 1.9 $, $Date: 2011/12/23 11:20:57 $
%define		plugin lighttpd
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Template for Cacti - Lighttpd stats
Name:		cacti-template-%{plugin}
Version:	1.0
Release:	4
License:	GPL v2
Group:		Applications/WWW
# http://forums.cacti.net/download.php?id=8273
Source0:	lighttpd_stats_%{version}.tar.gz
# Source0-md5:	09aa6716901e08301517004de099d240
Patch0:		fixes.patch
URL:		http://forums.cacti.net/viewtopic.php?t=19676
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti >= 0.8.7e-8
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-pcre
Obsoletes:	cacti-plugin-lighttpd
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		resourcedir		%{cactidir}/resource
%define		scriptsdir		%{cactidir}/scripts

%description
This package provides a script server script and cacti templates for
graphing statistics for a lighttpd webserver.

%prep
%setup -q -n lighttpd_stats_%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{resourcedir},%{scriptsdir}}
cp -p *.xml $RPM_BUILD_ROOT%{resourcedir}
install -p *.php $RPM_BUILD_ROOT%{scriptsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%cacti_import_template %{resourcedir}/cacti_host_template_webserver_lighttpd.xml

%files
%defattr(644,root,root,755)
%doc README INSTALL CHANGELOG
%attr(755,root,root) %{scriptsdir}/ss_lighttpd_stats.php
%{resourcedir}/cacti_host_template_webserver_lighttpd.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-template-lighttpd.spec,v $
Revision 1.9  2011/12/23 11:20:57  glen
- release 4

Revision 1.8  2011/10/27 20:08:26  glen
- php deps

Revision 1.7  2011/10/27 20:08:03  glen
- this is template, not plugin, rename accordingly

Revision 1.6  2008/10/05 15:52:51  glen
- url that relateds with this addon

Revision 1.5  2008/10/05 15:32:58  glen
- bugfixes for traffic via proxy; rel 2

Revision 1.4  2008/10/05 12:06:13  glen
- register template; rel 1

Revision 1.3  2008/10/05 11:40:36  glen
- err, executable

Revision 1.2  2008/10/05 11:39:39  glen
- typo

Revision 1.1  2008/10/05 11:37:48  glen
- new
